KProgress Class Reference

`#include <kprogress.h>`

Inherits QProgressBar.

## Public Slots

void | setFormat (const QString &format)
void | setTotalSteps (int totalSteps)
virtual void | setProgress (int progress)
void | setValue (int progress)
virtual void | advance (int offset)

## Signals

void | percentageChanged (int)

## Public Member Functions

| KProgress (QWidget *parent=0, const char *name=0, WFlags f=0)
| KProgress (int totalSteps, QWidget *parent=0, const char *name=0, WFlags f=0)
| ~KProgress ()
void | setTextEnabled (bool)
int | value () const KDE_DEPRECATED
bool | textEnabled () const
QString | format () const
void | setRange (int min, int max) KDE_DEPRECATED
int | maxValue () KDE_DEPRECATED

## Protected Member Functions

virtual bool | setIndicator (QString &indicator, int progress, int totalSteps)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A progress indicator widget.

KProgress is derived from QProgressBar, so you can use all the methods from that class. The only real difference is that a signal is emitted on changes to the value and you do not need to subclass KProgress just to change the format of the indicator text.

Details

KDE Progress Widget

Author
  Aaron Seigo

Definition at line 46 of file kprogress.h.

## Constructor & Destructor Documentation

KProgress::KProgress | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | WFlags | f = `0`
| ) |  |

Construct a progress bar.

KProgress – a progress indicator widget for KDE.

Definition at line 41 of file kprogress.cpp.

KProgress::KProgress | ( | int | totalSteps,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | WFlags | f = `0`
| ) |  |

Construct a progress bar with a total number of steps.

The totalSteps is the total number of steps that need to be completed for the operation which this progress bar represents. For example, if the operation is to examine 50 files, this value would be 50. Before examining the first file, call setProgress(0); call setProgress(50) after examining the last file.

Definition at line 48 of file kprogress.cpp.

KProgress::~KProgress | ( |  | ) |

Destruct the progress bar.

Definition at line 55 of file kprogress.cpp.

## Member Function Documentation

void KProgress::advance | ( | int | offset | ) |

virtual slot

Advance the progress bar by `offset`.

This method is provided for convenience and is equivalent with setProgress(progress()+offset).

Definition at line 59 of file kprogress.cpp.

QString KProgress::format | ( |  | ) | const

Retrieve the current format for printing status text.

See also
  setFormat()

Definition at line 119 of file kprogress.cpp.

int KProgress::maxValue | ( |  | ) |

Deprecated:
  Use totalSteps() instead

Definition at line 97 of file kprogress.cpp.

void KProgress::percentageChanged | ( | int |  | ) |

signal

Emitted when the state of the progress bar changes.

void KProgress::setFormat | ( | const QString & | format | ) |

slot

Set the format of the text to use to display status.

The default format is "%p%" (which looks like "42%".)

Note: Setting the format to anything other then "%p%" will force centerIndicator to true, since it's often impossible to layout a progressbar with a more general format with the indicator string anywhere else.

Parameters

  format | "%p" is replaced by percentage done, "%v" is replaced by actual value, "%m" is replaced by the maximum value.

Definition at line 112 of file kprogress.cpp.

void KProgress::setProgress | ( | int | progress | ) |

virtual slot

Set the current value of the progress bar to `progress`.

Definition at line 74 of file kprogress.cpp.

void KProgress::setRange | ( | int | min,
|  | int | max
| ) |  |

Deprecated:
  but kept for source compatibility with KDE2's KProgress. Use setTotalSteps() instead

Definition at line 91 of file kprogress.cpp.

void KProgress::setTextEnabled | ( | bool | enable | ) |

If this is set to `true`, the progress text will be displayed.

Definition at line 102 of file kprogress.cpp.

void KProgress::setTotalSteps | ( | int | totalSteps | ) |

slot

Set the current total number of steps in the action that the progress bar is representing.

Definition at line 64 of file kprogress.cpp.

void KProgress::setValue | ( | int | progress | ) |

slot

Deprecated:
  Use setProgress(int) instead

Definition at line 85 of file kprogress.cpp.

bool KProgress::textEnabled | ( |  | ) | const

Returns `true` if progress text will be displayed, `false` otherwise.

See also
  setFormat()

Definition at line 107 of file kprogress.cpp.

int KProgress::value | ( |  | ) | const

Deprecated:
  Retrieves the current status, use progress() instead

See also
  setValue()

Definition at line 125 of file kprogress.cpp.

The documentation for this class was generated from the following files:

- kprogress.h
- kprogress.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys